GetConfigurationSets method
Returns configuration information in the folder. The folder is selected based on the service account the request originates from.
Request
GET /v2/email/configuration-sets/{ConfigurationSetName} HTTP/2
Path parameters
|
Parameter |
Description |
|
|
Type: String. Configuration name. |
Request headers
Use common request headers in your requests.
Responses
200 OK
{
"ConfigurationSetName": "<configuration_name>",
"SuppressionOptions": {
"SuppressedReasons": ["BOUNCE", "COMPLAINT"]
},
"Tags": [
{
"Key": "key_1",
"Value": "value_1"
},
...
{
"Key": "key_N",
"Value": "value_N"
}
]
}
|
Parameter |
Description |
|
|
Type: String. Configuration name. |
|
|
Type: Object. Current suppression list settings for your configuration. Contains the |
|
|
Type: Array. Reasons why the address from the suppression list blocks the send. Possible array item values: If there is a |
|
|
Type: Array. Label array for configuration. |
|
|
Type: String. Label key. |
|
|
Type: String. Label value. |
The 200 OK response may contain additional parameters. Its format may vary slightly from the above.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains invalid headers or parameters. |
|
|
The requested resource was not found. |
|
|
The request quota was exceeded. |